/*
Theme Name:   xstore-child
Theme URI:    https://xstore.8theme.com
Description:  XStore is a multi-purpose theme that offers the ultimate WordPress and WooCommerce synergy, providing a comprehensive, all-in-one solution.
Author:       8theme
Author URI:   https://www.8theme.com
Template:     xstore
Version:      1.0
Text Domain:  xstore-child
Tags: e-commerce, two-columns, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, custom-logo, featured-images, full-width-template, threaded-comments, accessibility-ready, rtl-language-support, footer-widgets, sticky-post, theme-options, translation-ready, ecommerce, woocommerce, shop, elementor, business, corporate, blog, news, light, dark
*/

/** Start header **/ 
.header .etheme-elementor-nav-menu-item-element.etheme-elementor-nav-menu-item-icon{
    box-shadow: none !important;
    background-color: transparent !important;
    border-radius: 0 !important;
}
.header .etheme-elementor-nav-menu-item-element.etheme-elementor-nav-menu-item-icon svg{
    width: 30px;
    height: 30px;
}
.header .etheme-elementor-nav-menu-item.etheme-elementor-nav-menu-item-parent .elementor-item:hover,
.header li:has(> .etheme-elementor-nav-menu-item-parent):hover > .etheme-elementor-nav-menu-item-parent .elementor-item{
    background-color: #fcc101 !important;
}
.header .etheme-elementor-nav-menu-item.etheme-elementor-nav-menu-item-parent .elementor-item:hover svg path,
.header li:has(> .etheme-elementor-nav-menu-item-parent):hover > .etheme-elementor-nav-menu-item-parent .elementor-item svg path{
    fill: #000;
} 
.langue a.item-link span.elementor-item img{
    height: 20px !important;
    width: 20px;
    border-radius: 50%;
    max-width: 20px !important;
    max-height: 20px;
}
.langue a.item-link span.elementor-item{
    font-weight: 600;
}
.header.elementor-sticky--active{
    box-shadow: 0px 10px 10px 0px rgba(0, 0, 0, 0.09);
}
/** End  header **/ 

/** Start Fotter **/
.elementor-social-icon-instagram {
    background: linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
}
.link_copyright{
    color: #000 !important;
}
.section-footer a:hover span{
    text-shadow: 0 0 currentColor, 0 0 currentColor, 0 0 currentColor, 0 0 currentColor;
}
/* .section-footer a span, .link_copyright{
    position: relative;
} */
.section-footer a span:after,
.link_copyright:after{
    content: '';
    position:absolute;
    left: 0;
    bottom: -1px;
    width: 0%;
    height: 1px;
    background-color: #000;
    transition: all 0.3s ease-in-out;
}
.section-footer a span:hover:after,
.link_copyright:hover:after{
    width: 100%;
}
.icon-box-footer .elementor-image-box-wrapper,
.icon-box-footer  .elementor-image-box-wrapper .elementor-image-box-img{
    text-align: center;
    place-items: center;
}
/** End footer **/

.sep-title-blog .elementor-divider{
    position: relative;
}
.sep-title-blog .elementor-divider:after {
    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    width: 320px;
    height: 2px;
    background: #fcc101;
    transform: translate(-50%, -50%);
}
.section-blog .etheme-post-image-inner img{
    height: 435px;
    object-fit: cover;
}
.section-blog .etheme-post-image-inner:after{
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    background: rgb(0 0 0 / 2%);
}
.section-hero .col-1 .elementor-widget-image{
    margin: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
}
.section-hero .col-1  .elementor-widget-image .elementor-widget-container,
.section-hero .col-1 .elementor-widget-image .elementor-widget-container img{
    object-fit: cover;
    object-position: center;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
    transition: all 1s ease-in-out;
}
.section-hero .col-1  .elementor-widget-image  .elementor-widget-container:before{
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    background: rgb(0 0 0 / .27%);
}
.section-hero .col-1:hover .elementor-widget-container img{
    transform: scale(1.15);
}
.section-hero .col-1 .elementor-widget-image .elementor-widget-container{
    overflow: hidden;
}
.section-hero .section-1>.elementor-container{
    float: right;
}
.section-hero .section-2>.elementor-container{
    float: left;
}
.section-hero .banner-1 img{
    height: 240px;
}
.section-hero .banner-1 .banner{
    border-radius: 0px !important;
}
.section-hero .banner-1 .banner-button:hover{
   animation-name: elementor-animation-pulse;
    animation-duration: 1s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}
.section-hero .banner-1 .banner-content {
    -webkit-transform: inherit !important;
    transform: inherit !important;
}
.categorie-carousel .category-grid > a{
    background: #f5f5f7;
    padding: 15px;
}
.custom-card-product .etheme-product-grid-image{
    height: 240px;
    margin: 0;
}
.custom-card-product .etheme-product-grid-content{
    padding: 25px 15px;
    display: flex;
    flex-direction: column-reverse;
}
.custom-card-product .etheme-product-grid-content .price{
    flex-direction: column-reverse;
    display: flex;
    min-height: 62px;
    justify-content: start;

}
.custom-card-product .etheme-product-grid-content .price del{
    display: block;
    font-weight: 300;
}
.custom-card-product .footer-inner a:hover,
.custom-card-product .footer-inner .show-quickly:hover{
    background-color: #fcc101;
}
.custom-card-product .etheme-product-grid-item .footer-inner>:before{
    display: none;
}
.etheme-product-grid-item .etheme-product-grid-image{
    position: inherit !important;
    overflow: visible;
}
.etheme-product-grid-item{
    position: relative;
}
.custom-card-product .etheme-product-grid-image img{
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.etheme-product-grid-item .etheme-product-grid-image .onsale {
    right: 20px;
    left: inherit;
    top: 280px;
    font-size: 15px;
    font-family: 'Barlow';
    font-weight: 600;
    background: #fcc101;
    border: none;
    border-radius: 15px;
    padding: 2px 10px;
}


.breadcrumb-trail .page-heading, .container ,
.row{
    padding-left: 0 !important;
    padding-right: 0 !important;
}
.boxed .template-container, .framed .template-container{
    width: 100%;
}
.section-int-bain .elementor-container{
    margin-right: 0;
}

.custom-img-box img{
    height: 100%;
    width: 100%;
}
.custom-img-box .elementor-image-box-content{
    margin-top: -60px;
    text-align: left;
    padding-left: 30px;
    z-index: 2;
    position: relative;
}
.custom-img-box .elementor-image-box-img{
    position: relative;
    height: 500px;
    overflow: hidden;
}
.custom-img-box .elementor-image-box-img::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background: hsl(0deg 0% 0% / 12%);
    z-index: 1;
}
.custom-img-box .elementor-image-box-img img{
    transition: all 1s ease-in-out !important;
}
.custom-img-box .elementor-image-box-img:hover img{
   transform: scale(1.1);
}
.carousel-cat img{
    padding: 15px;
    background-color: #f6f6f6;
}
.etheme-product-grid-item:hover {
    border: 1px solid #fcc101 !important;
    box-shadow: 2px 2px 4px 0 #eee;
}
.etheme_sidebar-widget-item.sidebar-widget.etheme_widget_cats_filter{
    background:transparent !important;
    padding: 0 !important;
}
.widget_price_filter .price-filter-box input {
    background: transparent;
    color: #000 !important;
    width: calc(50% - 16px);
    max-width: 100% !important;
    border-radius: 0 !important;
    border-color: #000;
}
.price-filter-box .line{
    background-color: #000 !important;
}
.price-filter-box .btn{
    font-size: 17px !important;
    border-radius: 0 !important;
    font-family: 'Barlow' !important;
    font-weight: 700 !important;
    background: #000 !important;
}
.price-filter-box .btn:hover{
    background-color: #fcc101 !important;
    color: #000 !important;
}
.etheme_sidebar-widgets-with-separators .etheme_sidebar-widget-item{
    padding-bottom: 0 !important;
    border-bottom: none !important;
}
.etheme_sidebar-widgets-with-separators .etheme_sidebar-widget-item:last-child{
    margin-bottom: 0 !important;
}
.custom-sale{
    font-size: 18px;
    font-family: 'Barlow';
    font-weight: 600;
    background: #fcc101;
    color: #000;
    border: none;
    border-radius: 15px;
    padding: 1px 13px;
}
.single-product .elementor-widget-woocommerce-product-etheme_price .price del{
    display: block;
}
.single-product .elementor-widget-woocommerce-product-etheme_price .price ins{
    padding: 0;
}
.single-product .ref .elementor-button{
    cursor: inherit !important;
}
.single-product .quantity .minus,
.single-product .quantity .plus,
.single-product .quantity .qty{
    border-color: #000 !important;
    color: #000;
    padding: 8px;
}
html[lang="fr-FR"] .single-product .quantity .minus{
    border-right: none;
}
html[lang="fr-FR"] .single-product .quantity .plus{
    border-left: none;
}
.single-product .quantity .minus i,
.single-product .quantity .plus i{
    color: #000;
    padding-top: 4px;
    font-size: 10px;
}
.single-product .quantity .qty{
    font-size: 18px;
}
.single-product .custom-add-to-cart .add_to_cart_button,
.single-product .quantity{
    height: 45px;
}
.single-product .custom-add-to-cart .add_to_cart_button{
    width: calc(100% - 120px);
}
.swiper-vertical-images .vertical-thumbnails-wrapper li {
    width: calc(100% - 1px) !important;
}

.single-product .woocommerce-Tabs-panel--additional_information{
    max-width: 800px;
    margin: 0 auto !important;
    color: #000 !important;
}
.single-product .woocommerce-Tabs-panel--additional_information th{
    font-weight: 600;
    color: #000;
}
.single-product span.onsale.type-square.right.single-sale.with-percentage{
    display: none;
}

.single-product .elementor-widget-shortcode .custom-stock img{
    width: 25px;
    margin-right: 4px;
}
.single-product .elementor-widget-shortcode .custom-stock{
    font-family: "Barlow", Sans-serif;
    font-size: 18px;
    font-weight: 500;
    color: #000;
}

/* Masquer la catégorie "Promotions" du widget catégorie produit */
li.cat-item a[href*="filter_cat=promotion"] {
    display: none !important;
}
.blog .etheme-posts-wrapper-list .etheme-post-image-wrapper{
    max-height: 400px;
}
.etheme-product-grid-item {
    transition: transform 300ms ease-out;
}
.etheme-product-grid-item:hover {
    -webkit-transform: translate(0, -5px);
    -ms-transform: translate(0,-5px);
    transform: translate(0, -5px);
}
.etheme-product-grid-item .price bdi{
    color: #000;
}
.gform_wrapper.gravity-theme .gfield input.large,
.gform_wrapper.gravity-theme .gfield select.large,
.gform_wrapper.gravity-theme .gfield textarea.small{
    font-size: 18px;
    padding: 10px 15px;
    line-height: 18px;
    height: auto;
    border-radius: 5px !important;
    font-family: 'Barlow';
}
.gform_wrapper.gravity-theme .gfield textarea.small{
    height: 120px;
}
.gform_wrapper.gravity-theme .gform_footer input{
    font-family: 'Barlow';
    font-size: 18px;
    color: #000;
    font-weight: 600;
    border-radius: 5px;
}
.gform_wrapper.gravity-theme .gform_footer input:hover{
    color: #fff;
}
.elementor-widget-etheme_product_carousel .swiper-slide{
    padding-top: 5px;
}
.etheme-product-grid-image footer{
    opacity: 1 !important;
    visibility: visible !important;
    top: 0;
    transform: translate(-15px, 15px) !important;
}
.etheme-product-grid-image footer .add_to_cart_button,
.etheme-product-grid-image footer .show-quickly,
.etheme-product-grid-image footer .xstore-compare{
    display: none;
}
.etheme-product-grid-image footer .footer-inner{
    display: flex;
    justify-content: end;
}
.etheme-product-grid-image footer .footer-inner .xstore-wishlist-icon{
    width: 40px;
}
.etheme-product-grid-image footer .footer-inner .xstore-wishlist-icon span.et-icon.et-heart::before{
    display: none;
}
.etheme-product-grid-image footer .footer-inner .xstore-wishlist-icon span.et-icon.et-heart:after {
    position: absolute;
    content: '';
    background-image: url(/wp-content/uploads/2025/07/coeur.png);
    width: 18px;
    height: 16px;
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 22;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.et-menu-list .subitem-title-holder a:before{
    display: none;
}
span.etheme-category-grid-title.woocommerce-loop-category__title{
    text-align: center;
}
.custom-ul li{
    margin-bottom: 0 !important;
    line-height: 24px !important;
}
ul.custom-ul {
    margin-bottom: 0 !important;
}
.section-box-info .elementor-column .elementor-widget-wrap .elementor-widget-container{
    height: calc(100% - 40px);
}
.theme-xstore.woocommerce-cart .container.content-page.sidebar-mobile-bottom{
    padding: 0 30px !important;
}
.wc-block-cart__submit-button,
.wc-block-components-checkout-place-order-button{
    background: #000;
    color: #fff;
    font-size: 20px;
    transition: all 0.2s ease-in-out !important;
    padding: 10px !important;
    min-height: 50px;
    border: none;
}
.wc-block-cart__submit-button:hover,
.wc-block-components-checkout-place-order-button:hover{
    background-color: #fcc101;
    color: #000;
}
.wc-block-cart__submit-button:focus,
.wc-block-components-checkout-place-order-button:focus{
    outline: none !important;
    box-shadow: none !important;
}
.wp-block-woocommerce-checkout{
    padding-right: 30px;
    padding-left: 30px;
}
.sales-booster-cart-countdown{
    display: none !important;
}
.woocommerce-order-details,
.woocommerce-customer-details{
    padding: 0 30px;
}
.portfolio-wrapper{
    display: none !important;
}
.single-product .attachment-woocommerce_single{
    height: 520px;
    object-fit: cover;
}
.single-post .container.sidebar-mobile-bottom{
    padding: 0px 30px !important;
}
.single-post #respond{
    display:none;
}
.single-post  .page-heading .col-md-12{
    padding-left: 30px !important;
}
.et-request-quote.et-call-popup.mtips.mtips-left{
    display: none;
}
html[lang="ar"] .etheme-product-grid-image footer .footer-inner {
    justify-content: start !important;
}
html[lang="ar"] .etheme-product-grid-item .etheme-product-grid-image .onsale {
    left: 20px !important;
    right: inherit !important;
}
.wp-singular.single.single-post .meta-post{
    display: none;
}
.wsp-elementor-hfs-list,
.wsp-elementor-hfs-title{
    display: none !important;
}
.woocommerce-account .container.content-page{
    padding: 0px 20px 50px !important ;
}
.icon-mon-compte .elementor-icon-box-wrapper{
    display: flex;
}
.woocommerce-MyAccount-navigation-link--xstore-compare{
    display: none;
}
html[lang="ar"] .single-product .quantity .minus{
    border-left: none;
}
html[lang="ar"] .single-product .quantity .plus{
    border-right: none;
}
html[lang="ar"] .single-product form.cart{
    display: flex;
}
.page-id-4867 .container.content-page{
    padding: 0 20px !important;
}

html[lang="ar"] .swiper-button-next {
  right: unset !important;
}
html[lang="ar"] .elementor-element .swiper-button-next, html[lang="ar"] .elementor-element .swiper-button-prev {
    top: 40% !important;
}

html[lang="ar"] .swiper-slide .etheme-product-grid-item.product {
    min-height: 433px;
}

html[lang="ar"] .woocommerce-order-overview-wrapper~p {
    display: none;
}
/* responsive */

@media screen and (max-width: 767px){
    .xstore-wishlist-form .add-all-products.mob-hide{
        display: block !important;
        width: 100%;
        margin: 0;
    }
.custom-card-product .etheme-product-grid-image{
    height: 170px;
}
.etheme-product-grid-image footer .footer-inner .xstore-wishlist-icon {
    width: 30px;
    height: 30px;
    border-radius: 5px;
}
.etheme-product-hover-mask3 footer{
    right: 0;
}
.etheme-product-grid-image footer .footer-inner .xstore-wishlist-icon span.et-icon.et-heart:after{
    width: 15px;
    height: 13px;
}
.title-br br{
    display: none;
}
.height-col-img{
    height: 300px;
}
.etheme-product-grid-item .etheme-product-grid-image .onsale{
    top: 200px;
}
.custom-img-box .elementor-image-box-img {
    height: 350px;
}
.section-chiffres .elementor-widget-counter .elementor-counter-title{
    text-align: center;
}
.single-product .attachment-woocommerce_single {
    height: 350px;
    object-fit: cover;
}
.single-post .container.sidebar-mobile-bottom {
    padding: 0px 10px !important;
}
.single-post .container.sidebar-mobile-bottom  .sidebar.sidebar-right{
    margin-top: 50px;
}
.single-post  .page-heading .col-md-12{
    padding-left: 10px !important;
}
html[lang="ar"] .swiper-button-next, html[lang="ar"] .swiper-rtl .swiper-button-prev {
    right: unset !important;
}
html[lang="ar"] .elementor-element .swiper-button-next, html[lang="ar"] .elementor-element .swiper-button-prev {
    top: 40% !important;
}
.swiper-entry .etheme-product-grid-item{
    min-height: 363px;
}
}